Redmine - Feature #944

Oracle Support in Redmine
2008-03-28 12:26 - Mario Haupt

Status: Closed Start date: 2008-03-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

Hello @redmine-team,

| started evaluation off redmine. I'm very impressed. It seem's to be very usefull for our work.
We are very familar with Oracle-RDMBS.

Oracle is currently not supported, but SQL-Scripts are included in installation.
Some problems are related to rails Framework and not to redmine.

Are there any plans to support Oracle-RDMBS?

Best regards

Mario Haupt

Related issues:

Related to Redmine - Defect #49: Creation of Schema in Oracle Closed

Related to Redmine - Defect #921: NoMethodError in IssuesController on Oracle Closed 2008-03-24
Related to Redmine - Defect #922: NoMethodError in MyController#faccount usin... Closed 2008-03-24
Related to Redmine - Defect #920: Welcome page fails (login problem) on new O... Closed 2008-03-24
Related to Redmine - Feature #2272: Redmine on Oracle Database - Windows Inst... Closed 2008-12-03
Related to Redmine - Defect #6472: "Gantt" doesn't work with oracle database Closed 2010-09-23
Related to Redmine - Defect #7825: open_id_authentication_associations table ... Closed 2011-03-10
Related to Redmine - Defect #7826: bigdecimal-segfault-fix.rb must be removed... Closed 2011-03-10
Related to Redmine - Patch #2383: Redmine, glassfish and Oracle working! Closed 2008-12-23
Related to Redmine - Patch #6469: "Activity" doesn't work with oracle database Closed 2010-09-23
Related to Redmine - Defect #10136: Error rake db:migrate in BuildsProjectsTree Closed

Related to Redmine - Patch #11721: Oracle support in Redmine 1.4.4 Closed

Has duplicate Redmine - Feature #9191: Redmine on Oracle Closed 2011-09-06
History

#1 - 2008-04-01 13:07 - Thomas Lecavelier

- Status changed from New to Closed

Not a defect. There's forum for this kind of discussions. Oracle is working, but not officially supported as we don't have enough people testing with
Oracle.

http://www.redmine.org/projects/redmine/boards

#2 - 2011-09-06 09:02 - Etienne Massip

- Subject changed from Oracle Support in Redmine? to Oracle Support in Redmine

#3 - 2011-09-06 09:45 - Etienne Massip
Guide to upgrade to 1.2.0 - Oracle

#4 - 2012-02-02 07:20 - sinco miao
http://www.redmine.org/projects/redmine/boards
https://www.redmine.org/boards/1/topics/24394

#5 - 2012-08-23 16:13 - Juan G

| have upgraded from 1.2.0 to 1.4.4 succesfully. Someone want the patch? It works with my current Oracle installation.

#6 - 2012-08-23 16:24 - Etienne Massip

Juan G wrote:

| have upgraded from 1.2.0 to 1.4.4 succesfully. Someone want the patch? It works with my current Oracle installation.

Yes, if you could post it it could be helpful, thanks.

#7 - 2012-08-28 08:57 - Juan G

I've created this issue with attached patch: #11721

Feel free to comment any issues you have with this.
https://www.redmine.org/issues/11721
http://www.tcpdf.org

